post
https://sandbox.saner.secpod.com/AncorWebService/perform
This method allows you to add Agent configuration settings.
Creation of settings requires unique names and description. These fields should only contain alphanumeric characters, space, dot(.), underscore(_) or hyphen(-).
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| configname | Unique configuration name (alphanumeric, space, dot, underscore, hyphen allowed) | Yes | string |
| configdesc | Configuration description (alphanumeric, space, dot, underscore, hyphen allowed) | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.Configuration.add(
configname="DemoConfig",
configdesc="Config description"
)
print(response)
client.close()Requires Python 3.9 or later.